## class OSGUTIL_EXPORT osgUtil::HalfWayMapGenerator

> This cube map generator produces an Half-way vector map, useful for hardware-based specular lighting effects.

## Inheritance:

### Public Methods

HalfWayMapGenerator(const osg::Vec3 &light_direction, int texture_size = 64)
HalfWayMapGenerator(const HalfWayMapGenerator &copy, const osg::CopyOp &copyop)
inline osg::Vec4 compute_color(const osg::Vec3 &R) const

### Protected Methods

virtual ~HalfWayMapGenerator()
HalfWayMapGenerator& operator=(const HalfWayMapGenerator &)
inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const

### Inherited from CubeMapGenerator:

### Public Methods

void generateMap(bool use_osg_system = true)
inline osg::Image* getImage(osg::TextureCubeMap::Face face)
inline const osg::Image* getImage(osg::TextureCubeMap::Face face) const
inline void set_pixel(int index, int c, int r, const osg::Vec4 &color)
inline osg::Vec4 vector_to_color(const osg::Vec3 &vec)

### Protected Methods

inline static osg::Vec4 vector_to_color(const osg::Vec3 &vec)

## Documentation

> This cube map generator produces an Half-way vector map, useful for hardware-based specular lighting effects. It computes: C = normalize(R - L), where C is the resulting color, R is the reflection vector and L is the light direction.

`HalfWayMapGenerator(const osg::Vec3 &light_direction, int texture_size = 64)`

`HalfWayMapGenerator(const HalfWayMapGenerator &copy, const osg::CopyOp &copyop)`

`virtual ~HalfWayMapGenerator()`

`HalfWayMapGenerator& operator=(const HalfWayMapGenerator &)`

`inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const`

`inline osg::Vec4 compute_color(const osg::Vec3 &R) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.